/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\lapeprita.cs
Lines of code: 45

Description: 

***********************************************************/


//******************************************************************
//NOTE:  This artifact has been converted over to ShadowStalker
//******************************************************************


using Server;
using System;

namespace Server.Items
{
	
	public class lapeprita : Dagger
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public lapeprita() : base()
		{
			Name="La Peprita";
			Hue=1161;

		
			Attributes.NightSight=1;
			Attributes.WeaponSpeed=60;
				
			WeaponAttributes.HitLeechMana=25;				
			WeaponAttributes.HitLeechStam=25;				
			WeaponAttributes.HitLowerAttack=25;				
			WeaponAttributes.HitLowerDefend=50;				

			AosElementDamages.Physical=30;
			AosElementDamages.Fire=70;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;		
		}
		
		

		public lapeprita( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{
			Misc.ObjectConverter.ConvertItem(this,new ShadowStalker());
		}			
	}
	
}